Subject: bug#31880: 26.1; VC mode line popup when clicked is off screen

From: martin rudalics <[email-masked]>
Date: Wed, 20 Jun 2018 09:42:39 +0200

> I am using a high resolution display (built-in Retina display on a MacBook Pro).
 > I have the scaling set to 200%. When I change to 100%, the popup works fine. When
 > I change to LoDPI mode, the popup works fine. It definitely seems to be an issue
 > with scaled HiDPI.

Thanks for the information.  Please keep [email-masked] cc'ed.

Robert what do you think?  create_and_show_popup_menu has

#ifdef HAVE_GTK3
       /* Use window scaling factor to adjust position for hidpi screens. */
       x /= xg_get_scale (f);
       y /= xg_get_scale (f);
#endif

Shouldn't this take of Brian's problem?  If not, could you tell him
how to debug this?

Thanks, martin